Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038701
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformmajoralways2018-06-05 11:492018-06-08 07:29
ReporterjarmendarizView Statuspublic 
Assigned Tojarmendariz 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision12b93eb9932b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038701: Smartclient 10 does not support autocomplete keywords

DescriptionSmartclient 12.0 introduced [1] the possibility to add keywords in the autocomplete attribute to comply with the HTML5 autofill specifications. [2]

[1] https://www.smartclient.com/smartclient-12.0/isomorphic/system/reference/?id=attr..FormItem.autoCompleteKeywords [^]

[2] https://html.spec.whatwg.org/multipage/form-control-infrastructure.html#autofill [^]
Steps To ReproduceSee above.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0034303 acknowledgedplatform The SmartClient version must be updated. 
blocks design defect 0033276 closedjarmendariz Problem with User window and auto-complete in Chrome 

-  Notes
(0104949)
hgbot (developer)
2018-06-05 17:21

Repository: erp/devel/pi
Changeset: 12b93eb9932b95b245eb82685202aa64c6b80cf4
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Fri Jun 01 11:04:41 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/12b93eb9932b95b245eb82685202aa64c6b80cf4 [^]

Fixed issue 38701: Add autocomplete keywords support in Smartclient.

Backported a new feature introduced in Smartclient 12.0 which enables to define
keywords in the autocomplete parameter in input tags.

---
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/isomorphic/ISC_Combined.js
---
(0104951)
hgbot (developer)
2018-06-05 17:21

Repository: erp/mods/org.openbravo.userinterface.smartclient.dev
Changeset: ff4a992cd2bea9fd6926d3d23f4976ac5edc3f61
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu May 31 17:11:31 2018 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.userinterface.smartclient.dev/rev/ff4a992cd2bea9fd6926d3d23f4976ac5edc3f61 [^]

Related to issue 38701: Add support to autocomplete keywords in Smartclient.

Backported a feature introduced in Smartclient 12 which introduces a
autocompleteKeywords to define the values contained in autocomplete parameter
in input tags.

---
M web/org.openbravo.userinterface.smartclient/isomorphic/client/widgets/form/FormItem.js
M web/org.openbravo.userinterface.smartclient/isomorphic/client/widgets/form/TextAreaItem.js
M web/org.openbravo.userinterface.smartclient/isomorphic/client/widgets/form/TextItem.js
M web/org.openbravo.userinterface.smartclient/isomorphic/system/development/ISC_Forms.js
M web/org.openbravo.userinterface.smartclient/isomorphic/system/modules-debug/ISC_Forms.js
M web/org.openbravo.userinterface.smartclient/isomorphic/system/modules/ISC_Forms.js
---
(0104978)
caristu (developer)
2018-06-06 15:45

Reviewed
(0105015)
hudsonbot (developer)
2018-06-08 07:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4e0c05c97edf [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-06-05 11:49 jarmendariz New Issue
2018-06-05 11:49 jarmendariz Assigned To => platform
2018-06-05 11:49 jarmendariz Modules => Core
2018-06-05 11:49 jarmendariz Triggers an Emergency Pack => No
2018-06-05 11:49 jarmendariz Relationship added blocks 0033276
2018-06-05 11:50 jarmendariz Status new => scheduled
2018-06-05 11:50 jarmendariz Assigned To platform => jarmendariz
2018-06-05 16:02 jarmendariz Description Updated View Revisions
2018-06-05 17:21 hgbot Checkin
2018-06-05 17:21 hgbot Note Added: 0104949
2018-06-05 17:21 hgbot Status scheduled => resolved
2018-06-05 17:21 hgbot Resolution open => fixed
2018-06-05 17:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/12b93eb9932b95b245eb82685202aa64c6b80cf4 [^]
2018-06-05 17:21 hgbot Checkin
2018-06-05 17:21 hgbot Note Added: 0104951
2018-06-06 08:42 jarmendariz Review Assigned To => caristu
2018-06-06 15:36 caristu Summary Smartclient does not support autocomplete keywords => Smartclient 10 does not support autocomplete keywords
2018-06-06 15:45 caristu Note Added: 0104978
2018-06-06 15:45 caristu Status resolved => closed
2018-06-06 15:45 caristu Fixed in Version => 3.0PR18Q3
2018-06-06 15:47 caristu Type defect => design defect
2018-06-08 07:29 hudsonbot Checkin
2018-06-08 07:29 hudsonbot Note Added: 0105015
2019-02-22 10:30 jarmendariz Relationship added related to 0034303


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker